#
# spec file for package fcitx5-chewing
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fcitx5-chewing
Version:        5.1.3
Release:        1.2
Summary:        Chewing Wrapper for Fcitx5
License:        GPL-2.0-or-later
URL:            https://github.com/fcitx/fcitx5-chewing
Source:         https://download.fcitx-im.org/fcitx5/%{name}/%{name}-%{version}.tar.zst
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  fcitx5-devel
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libchewing-devel
BuildRequires:  pkgconfig
BuildRequires:  zstd
Requires:       chewing-data
Requires:       chewing-utils
Requires:       fcitx5
Provides:       fcitx-chewing = %{version}
Obsoletes:      fcitx-chewing < %{version}
%if 0%{?suse_version} <= 1520
BuildRequires:  appstream-glib-devel
%endif

%description
Chewing Wrapper for Fcitx5.

%prep
%setup -q

%build
%cmake
%make_build

%install
%cmake_install
%find_lang %{name}

%files -f %{name}.lang
%license LICENSES
%doc README.md
%{_fcitx5_libdir}/libchewing.so
%{_fcitx5_addondir}/chewing.conf
%{_fcitx5_imconfdir}/chewing.conf
%{_datadir}/icons/hicolor/*/apps/org.fcitx.Fcitx5.fcitx-chewing*
%{_datadir}/icons/hicolor/*/apps/fcitx-chewing*
%{_datadir}/metainfo/org.fcitx.Fcitx5.Addon.Chewing.metainfo.xml

%changelog
* Thu May 23 2024 Marguerite Su <i@marguerite.su>
- update to 5.1.3
  * fix word repeat issue
- changes in 5.1.2
  * Add a new default option that allow select candidate with
    arrow key
  * Allow customize the behavior when switching away from chewing,
    also change the default behavior to not commit the chewing
    symbol
* Mon Feb  5 2024 Marguerite Su <i@marguerite.su>
- update to 5.1.1
  * update translation
* Sun Aug 20 2023 Marguerite Su <i@marguerite.su>
- update to 5.1.0
  * update translation
* Mon May 22 2023 Marguerite Su <i@marguerite.su>
- Update to 5.0.14
  * add all size icon
* Sun Nov 20 2022 Fusion Future <qydwhotmail@gmail.com>
- Update to 5.0.13
  * Update translation
* Tue Jul  5 2022 Fusion Future <qydwhotmail@gmail.com>
- Update to 5.0.12
  * Fix a bug that the layout is not applied
- chewing.so is renamed to libchewing.so
* Sun Mar 13 2022 Marguerite Su <i@marguerite.su>
- update version 5.0.10
  * translation update
* Wed Dec 15 2021 Marguerite Su <i@marguerite.su>
- update version 5.0.8
  * don't use underline in popup window
  * Allow chewing to define its own page size/layout instead of
    using global one
- changes in 5.0.7
  * Add an IM specific option to set candidate size instead of using global ones
* Wed May  5 2021 Marguerite Su <i@marguerite.su>
- update version 5.0.5
  * Add version to addon.conf
* Tue Mar 16 2021 Marguerite Su <i@marguerite.su>
- update version 5.0.4
* Sun Jan 31 2021 Marguerite Su <i@marguerite.su>
- update version 5.0.3
  * Add support for keypad selection key.
  * Fix certain key being typed directly when composing
* Sun Dec  6 2020 Marguerite Su <i@marguerite.su>
- update version 5.0.2
* Tue Nov 10 2020 Marguerite Su <i@marguerite.su>
- update version 5.0.1
* Fri Sep  4 2020 Marguerite Su <i@marguerite.su>
- initial package
